unit UNewSprite;

// Code tidied by Dominique Louis November 1999

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ExtCtrls, Menus, Buttons, StdCtrls;

type
  TNewSprites = class( TForm )
    Label1 : TLabel;
    Label2 : TLabel;
    Edit1 : TEdit;
    Button2 : TButton;
    Button3 : TButton;
    ComboBox1 : TComboBox;
    Panel1 : TPanel;
    Label4 : TLabel;
    Edit2 : TEdit;
    Panel2 : TPanel;
    Label5 : TLabel;
    Edit4 : TEdit;
    Label6 : TLabel;
    Edit5 : TEdit;
    Panel3 : TPanel;
    Label7 : TLabel;
    Label8 : TLabel;
    Edit6 : TEdit;
    Edit7 : TEdit;
    Label9 : TLabel;
    Edit8 : TEdit;
    Label10 : TLabel;
    Edit9 : TEdit;
    Label11 : TLabel;
    Edit10 : TEdit;
    Label12 : TLabel;
    procedure Button3Click( Sender : TObject );
    procedure Button2Click( Sender : TObject );
    procedure FormCreate( Sender : TObject );
    procedure ComboBox1Change( Sender : TObject );
  private
    { Private declarations }
    procedure AddItem( ItemName : string );
  public
    { Public declarations }
  end;

var
  NewSprites : TNewSprites;

implementation

uses UMain, USprites, Unit3;

{$R *.DFM}

procedure TNewSprites.Button3Click( Sender : TObject );
var
  k : integer;
begin
  unit3.SpriteList.free;
  unit3.SpriteList := TStringList.Create;
  unit3.SpriteList.add( 'Name=' + edit1.text );
// se incontra un'eccezione esce qui
  case combobox1.itemindex of
    0 :
      begin
        unit3.SpriteList.add( 'Kind=Effect' );
        SpriteForm.lvAnimations.items.clear;
        AddItem( '0 - Normal' );
      end;
    1 :
      begin
        unit3.SpriteList.add( 'Kind=Simple' );
        unit3.SpriteList.add( 'Contact=' + edit2.text );
        SpriteForm.lvAnimations.items.clear;
        AddItem( '0 - Normal' );
      end;
    2 :
      begin
        unit3.SpriteList.add( 'Kind=Ambient' );
        unit3.SpriteList.add( 'Contact=' + edit2.text );
        unit3.SpriteList.add( 'Collision=' + edit4.text );
        unit3.SpriteList.add( 'Defence=' + edit5.text );
        SpriteForm.lvAnimations.items.clear;
        AddItem( '0 - Staying NE' );
        AddItem( '1 - Staying SE' );
        AddItem( '2 - Staying SW' );
        AddItem( '3 - Staying NW' );
        AddItem( '4 - Damaging NE' );
        AddItem( '5 - Damaging SE' );
        AddItem( '6 - Damaging SW' );
        AddItem( '7 - Damaging NW' );
        AddItem( '8 - Damaged NE' );
        AddItem( '9 - Damaged SE' );
        AddItem( '10 - Damaged SW' );
        AddItem( '11 - Damaged NW' );
        AddItem( '12 - Destroing NE' );
        AddItem( '13 - Destroing SE' );
        AddItem( '14 - Destroing SW' );
        AddItem( '15 - Destroing NW' );
        AddItem( '16 - Destroied NE' );
        AddItem( '17 - Destroied SE' );
        AddItem( '18 - Destroied SW' );
        AddItem( '19 - Destroied NW' );
      end;
  else
    begin
      unit3.SpriteList.add( 'Kind=Character' );
      unit3.SpriteList.add( 'Contact=' + edit2.text );
      unit3.SpriteList.add( 'Collision=' + edit4.text );
      unit3.SpriteList.add( 'Defence=' + edit5.text );
      unit3.SpriteList.add( 'Attack=' + edit6.text );
      unit3.SpriteList.add( 'Ground=' + edit7.text );
      unit3.SpriteList.add( 'Water=' + edit8.text );
      unit3.SpriteList.add( 'Mud=' + edit9.text );
      unit3.SpriteList.add( 'IQ=' + edit10.text );
      SpriteForm.lvAnimations.items.clear;
      AddItem( '0 - Staying N' );
      AddItem( '1 - Staying NE' );
      AddItem( '2 - Staying E' );
      AddItem( '3 - Staying SE' );
      AddItem( '4 - Staying S' );
      AddItem( '5 - Staying SW' );
      AddItem( '6 - Staying W' );
      AddItem( '7 - Staying NW' );
      AddItem( '8 - Walking N' );
      AddItem( '9 - Walking NE' );
      AddItem( '10 - Walking E' );
      AddItem( '11 - Walking SE' );
      AddItem( '12 - Walking S' );
      AddItem( '13 - Walking SW' );
      AddItem( '14 - Walking W' );
      AddItem( '15 - Walking NW' );
      AddItem( '16 - Attack High N' );
      AddItem( '17 - Attack High NE' );
      AddItem( '18 - Attack High E' );
      AddItem( '19 - Attack High SE' );
      AddItem( '20 - Attack High S' );
      AddItem( '21 - Attack High SW' );
      AddItem( '22 - Attack High W' );
      AddItem( '23 - Attack High NW' );
      AddItem( '24 - Attack Medium N' );
      AddItem( '25 - Attack Medium NE' );
      AddItem( '26 - Attack Medium E' );
      AddItem( '27 - Attack Medium SE' );
      AddItem( '28 - Attack Medium S' );
      AddItem( '29 - Attack Medium SW' );
      AddItem( '30 - Attack Medium W' );
      AddItem( '31 - Attack Medium NW' );
      AddItem( '32 - Attack Low N' );
      AddItem( '33 - Attack Low NE' );
      AddItem( '34 - Attack Low E' );
      AddItem( '35 - Attack Low SE' );
      AddItem( '36 - Attack Low S' );
      AddItem( '37 - Attack Low SW' );
      AddItem( '38 - Attack Low W' );
      AddItem( '39 - Attack Low NW' );
      AddItem( '40 - Failed Attack High N' );
      AddItem( '41 - Failed Attack High NE' );
      AddItem( '42 - Failed Attack High E' );
      AddItem( '43 - Failed Attack High SE' );
      AddItem( '44 - Failed Attack High S' );
      AddItem( '45 - Failed Attack High SW' );
      AddItem( '46 - Failed Attack High W' );
      AddItem( '47 - Failed Attack High NW' );
      AddItem( '48 - Failed Attack Medium N' );
      AddItem( '49 - Failed Attack Medium NE' );
      AddItem( '50 - Failed Attack Medium E' );
      AddItem( '51 - Failed Attack Medium SE' );
      AddItem( '52 - Failed Attack Medium S' );
      AddItem( '53 - Failed Attack Medium SW' );
      AddItem( '54 - Failed Attack Medium W' );
      AddItem( '55 - Failed Attack Medium NW' );
      AddItem( '56 - Failed Attack Low N' );
      AddItem( '57 - Failed Attack Low NE' );
      AddItem( '58 - Failed Attack Low E' );
      AddItem( '59 - Failed Attack Low SE' );
      AddItem( '60 - Failed Attack Low S' );
      AddItem( '61 - Failed Attack Low SW' );
      AddItem( '62 - Failed Attack Low W' );
      AddItem( '63 - Failed Attack Low NW' );
      AddItem( '64 - Dying NE' );
      AddItem( '65 - Dying SE' );
      AddItem( '66 - Dying SW' );
      AddItem( '67 - Dying NW' );
      AddItem( '68 - Died NE' );
      AddItem( '69 - Died SE' );
      AddItem( '70 - Died SW' );
      AddItem( '71 - Died NW' );
      AddItem( '72 - Climbing NE' );
      AddItem( '73 - Climbing SE' );
      AddItem( '74 - Climbing SW' );
      AddItem( '75 - Climbing NW' );
      AddItem( '76 - Descending NE' );
      AddItem( '77 - Descending SE' );
      AddItem( '78 - Descending SW' );
      AddItem( '79 - Descending NW' );
      AddItem( '80 - Waiting N' );
      AddItem( '81 - Waiting NE' );
      AddItem( '82 - Waiting E' );
      AddItem( '83 - Waiting SE' );
      AddItem( '84 - Waiting S' );
      AddItem( '85 - Waiting SW' );
      AddItem( '86 - Waiting W' );
      AddItem( '87 - Waiting NW' );
      AddItem( '99 - Icon' );
    end;
  end; // case

  unit3.SpriteList.add( 'NF=0' );
  unit3.SpriteList.add( ';' );
  unit3.SpriteList.add( '; Starting frames' );
  unit3.SpriteList.add( ';' );

  with SpriteForm.lvAnimations do
  begin
    for k := 0 to items.Count - 1 do
      unit3.SpriteList.add( 'Animation=' + items[ k ].Caption );
  end;
  close;
end;

procedure TNewSprites.Button2Click( Sender : TObject );
begin
  close;
end;

procedure TNewSprites.FormCreate( Sender : TObject );
begin
  combobox1.itemindex := 1;
  ComboBox1Change( self );
end;

procedure TNewSprites.ComboBox1Change( Sender : TObject );
begin
  case combobox1.itemindex of
    0 :
      begin
        panel1.visible := false;
        panel2.visible := false;
        panel3.visible := false;
      end;
    1 :
      begin
        panel1.visible := true;
        panel2.visible := false;
        panel3.visible := false;
      end;
    2 :
      begin
        panel1.visible := true;
        panel2.visible := true;
        panel3.visible := false;
      end;
  else
    begin
      panel1.visible := true;
      panel2.visible := true;
      panel3.visible := true;
    end;
  end; //case
  //NewSprites.refresh;
end;

//******************************************************************************
// New functions by John Lohmeyer 17/08/2000

procedure TNewSprites.AddItem( ItemName : string );
var
 ti : TListItem;
begin
 ti := SpriteForm.lvAnimations.Items.Add;
 ti.Caption := ItemName;
 ti.SubItems.Add ( '0' );
end;

end.
