unit UNewTiles;

// Code tidied by Dominique Louis November 1999

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls;

type
  TNewTiles = class( TForm )
    Label1 : TLabel;
    edWidth: TEdit;
    Label2 : TLabel;
    edHeight: TEdit;
    Label3 : TLabel;
    btnBrowseBitmap: TButton;
    btnOK: TButton;
    edFileBitmap: TEdit;
    Label4 : TLabel;
    edVertical: TEdit;
    Bevel1: TBevel;
    btnCancel: TButton;
    UpDown1: TUpDown;
    UpDown2: TUpDown;
    procedure btnOKClick( Sender : TObject );
    procedure btnBrowseBitmapClick( Sender : TObject );
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  NewTiles : TNewTiles;

implementation

uses unit3, UTilesForm, UMain;

{$R *.DFM}

procedure TNewTiles.btnOKClick( Sender : TObject );

begin
  if FileExists( edFileBitmap.text ) then
  begin
    TileList.free;
    TileList := TStringList.Create;
    TileList.add( edFileBitmap.text );
    TileList.add( '0' );
    TileList.add( edWidth.text ); //width
    TileList.add( edHeight.text ); //height
    TileList.add( edVertical.text ); //v shift
    TileList.add( ';' );
    TilesForm.shape1.visible := false;
    TilesForm.imageTiles.picture.LoadFromFile( unit3.TileList[ 0 ] );
    TilesForm.N111Click( Sender );
    close;
  end
  else
    ShowMessage('Didn''t find the bitmap file, couldn''t creat it');  
end;

procedure TNewTiles.btnBrowseBitmapClick( Sender : TObject );
begin
  with Mainform.OpenPictureDialog do
  begin
    DefaultExt := 'BMP';
    Filter := 'BMP files (*.bmp)|*.bmp';
    if Execute then
    begin
      edFileBitmap.text := ExtractFileName( Filename );
    end;
  end;
end;

end.
