program mapEditor;

uses
  Forms,
  UMain in 'UMain.pas' {Mainform},
  UAbout in 'UAbout.pas' {AboutBox},
  UTilesForm in 'UTilesForm.pas' {TilesForm},
  Unit3 in 'Unit3.pas',
  UTileData in 'UTileData.pas' {TileDialog},
  UNewMap in 'UNewMap.pas' {NewMap},
  UCustomFill in 'UCustomFill.pas' {PlaneForm},
  UNewTiles in 'UNewTiles.pas' {NewTiles},
  USprites in 'USprites.pas' {SpriteForm},
  UNewSprite in 'UNewSprite.pas' {NewSprites},
  UTextEditor in 'UTextEditor.pas' {FrmEditor},
  USpriteProperties in 'USpriteProperties.pas' {SpriteDialog},
  UAnimationEditor in 'UAnimationEditor.pas' {EditAnimation},
  UViewer in 'UViewer.pas' {FrmViewer},
  UOptions in 'UOptions.pas' {frmOptions},
  USpritePosition in 'USpritePosition.pas' {FrmSpritePos};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Jura Editor';
  Application.CreateForm(TMainform, Mainform);
  Application.CreateForm(TNewTiles, NewTiles);
  Application.CreateForm(TTilesForm, TilesForm);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TTileDialog, TileDialog);
  Application.CreateForm(TNewMap, NewMap);
  Application.CreateForm(TPlaneForm, PlaneForm);
  Application.CreateForm(TSpriteForm, SpriteForm);
  Application.CreateForm(TNewSprites, NewSprites);
  Application.CreateForm(TFrmEditor, FrmEditor);
  Application.CreateForm(TSpriteDialog, SpriteDialog);
  Application.CreateForm(TEditAnimation, EditAnimation);
  Application.CreateForm(TFrmViewer, FrmViewer);
  Application.CreateForm(TfrmOptions, frmOptions);
  Application.CreateForm(TFrmSpritePos, FrmSpritePos);
  Application.Run;
end.
