unit UNewMap;

// Code tidied by Dominique Louis November 1999

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons, ComCtrls;

type
  TNewMap = class( TForm )
    Edit1 : TEdit;
    Label1 : TLabel;
    Edit2 : TEdit;
    Label2 : TLabel;
    RadioGroup1 : TRadioGroup;
    UpDown1: TUpDown;
    UpDown2: TUpDown;
    Label3: TLabel;
    Bevel1: TBevel;
    btnOK: TButton;
    Button2: TButton;
    edTileFile: TEdit;
    btnLoadTile: TButton;
    Label4: TLabel;
    procedure OKClick( Sender : TObject );
    procedure FormCreate( Sender : TObject );
    procedure btnLoadTileClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  NewMap : TNewMap;

implementation

uses Unit3, UMain;
{$R *.DFM}

procedure TNewMap.FormActivate(Sender: TObject);
begin
  if terrain = nil then
  begin
      edTileFile.Text := '';
  end
  else
  begin
     edTileFile.Text := terrain.NameImage;
  end;
end;

procedure TNewMap.OKClick( Sender : TObject );
var
  w, h : integer;
begin
  if FileExists(edTileFile.Text) then
  begin
    w := strtoint( edit1.text );
    h := strtoint( edit2.text );
    if w > 10000 then w := 10000;
    if w < 1 then     w := 1;
    if h > 10000 then h := 10000;
    if h < 1 then     h := 1;
    if unit3.map <> nil then unit3.map.destroy;
    unit3.map := Tmap.create;
    with unit3.map do
    begin
      width := w;
      height := h;
      DoPlane;
    end; //with
    ModalResult := mrOK;
  end
  else
    ShowMessage('Did not find the bitmap file');
end;

procedure TNewMap.FormCreate( Sender : TObject );
begin
end;

{   Load the tiles fron the new dialog, don't do it before
}
procedure TNewMap.btnLoadTileClick(Sender: TObject);
begin
    Mainform.OpenTileFile1Click( Sender );
    FormActivate(Sender);        // Reassign all data
end;


end.
