unit UTileData;

// Code tidied by Dominique Louis November 1999

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TTileDialog = class( TForm )
    Label7 : TLabel;
    Edit9 : TEdit;
    Bevel1: TBevel;
    Button2: TButton;
    btnOK: TButton;
    Panel1: TPanel;
    Image1: TImage;
    GroupBox1: TGroupBox;
    Nome: TLabel;
    X: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit1: TEdit;
    Label8: TLabel;
    Label9: TLabel;
    PanelPreview: TPanel;
    ImagePreview: TImage;
    UpDown1: TUpDown;
    UpDown2: TUpDown;
    UpDown3: TUpDown;
    UpDown4: TUpDown;
    Button1: TButton;
    procedure BitBtn1Click( Sender : TObject );
    procedure BitBtn2Click( Sender : TObject );
    procedure Image1MouseUp( Sender : TObject; Button : TMouseButton;
      Shift : TShiftState; X, Y : Integer );
    procedure ValueChanged( Sender : TObject );
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    procedure ConfirmValues;

  public
    { Public declarations }
    Changed : boolean;
    procedure EditTile( TileID : string );
    procedure AddTile;

  end;

var
  TileDialog : TTileDialog;

implementation

uses Unit3, UTilesForm;
{$R *.DFM}

procedure TTileDialog.AddTile;
begin
  edit9.text := inttostr( strtoint( unit3.TileList[ 1 ] ) );
  edit1.text := 'tile ' + edit9.text;
  edit4.text := unit3.TileList[ 2 ]; //width
  edit5.text := unit3.TileList[ 3 ]; //height
  edit6.text := unit3.TileList[ 4 ]; //shiftY
  changed := true;
end;

procedure TTileDialog.EditTile( TileID : string );

var
  k, currentline : integer;
  S : string;

begin
  // Look for the ID, not the name
  currentline := unit3.TileList.indexof( 'ID=' + TileID );
  if currentline < 0 then exit;
  S := unit3.TileList[ currentline ];
  k := Pos( '=', S );
  edit9.text := copy( S, k + 1, length( S ) - k );
  S := unit3.TileList[ currentline + 1 ];
  k := Pos( '=', S );
  edit1.text := copy( S, k + 1, length( S ) - k );
  S := unit3.TileList[ currentline + 2 ];
  k := Pos( '=', S );
  UpDown1.Position := strtoint( copy( S, k + 1, length( S ) - k ));  // X
  S := unit3.TileList[ currentline + 3 ];
  k := Pos( '=', S );
  UpDown2.Position := strtoint( copy( S, k + 1, length( S ) - k ));  // Y
  S := unit3.TileList[ currentline + 4 ];
  k := Pos( '=', S );
  UpDown3.Position := strtoint( copy( S, k + 1, length( S ) - k ));  // W
  S := unit3.TileList[ currentline + 5 ];
  k := Pos( '=', S );
  UpDown4.Position := strtoint( copy( S, k + 1, length( S ) - k ));  // H
  S := unit3.TileList[ currentline + 6 ];
  k := Pos( '=', S );
  edit6.text := copy( S, k + 1, length( S ) - k );
  S := unit3.TileList[ currentline + 7 ];
  k := Pos( '=', S );
  edit7.text := copy( S, k + 1, length( S ) - k );
  S := unit3.TileList[ currentline + 8 ];
  k := Pos( '=', S );
  edit8.text := copy( S, k + 1, length( S ) - k );
  changed := false;
end;


procedure TTileDialog.ConfirmValues;
var
  current, currentline : integer;
  nt, k, j : integer;
  S : string;

begin
  current := strtoint( edit9.text );
  if strtoint( unit3.TileList[ 1 ] ) = current then
  begin
    unit3.TileList[ 1 ] := inttostr( current + 1 );
    with unit3.TileList do
    begin
      Add( ';' );
      Add( 'ID=' + edit9.text );
      Add( 'Name=' + edit1.text );
      Add( 'Origin X=' + edit2.text );
      Add( 'Origin Y=' + edit3.text );
      Add( 'Width=' + edit4.text );
      Add( 'Height=' + edit5.text );
      Add( 'Shift Y=' + edit6.text );
      Add( 'Type=' + edit7.text );
      Add( 'Plane=' + edit8.text );
    end;
//    TilesForm.listbox1.Items.Add( edit1.text );
  end
  else if ( current >= 0 ) and ( strtoint( unit3.TileList[ 1 ] ) >= current ) then
  begin
    currentline := unit3.TileList.indexof( 'ID=' + edit9.text );
    if currentline < 3 then exit;
    unit3.TileList[ currentline + 1 ] := 'Name=' + edit1.text;
    unit3.TileList[ currentline + 2 ] := 'Origin X=' + edit2.text;
    unit3.TileList[ currentline + 3 ] := 'Origin Y=' + edit3.text;
    unit3.TileList[ currentline + 4 ] := 'Width=' + edit4.text;
    unit3.TileList[ currentline + 5 ] := 'Height=' + edit5.text;
    unit3.TileList[ currentline + 6 ] := 'Shift Y=' + edit6.text;
    unit3.TileList[ currentline + 7 ] := 'Type=' + edit7.text;
    unit3.TileList[ currentline + 8 ] := 'Plane=' + edit8.text;
    nt := strtoint( unit3.TileList[ 1 ] );
//    TilesForm.listBox1.clear;
    if nt > 0 then
    begin
      for k := 0 to nt - 1 do
      begin
        j := unit3.TileList.indexof( 'ID=' + inttostr( k ) );
        S := unit3.TileList[ j + 1 ];
        j := Pos( '=', S );
  //      TilesForm.listBox1.items.add( copy( S, j + 1, length( S ) - j ) );
      end;
    end;
  end
  else
    exit;
end;

procedure TTileDialog.BitBtn1Click( Sender : TObject );
begin
  confirmValues;
  TilesForm.LoadList;
  close;
end;

procedure TTileDialog.BitBtn2Click( Sender : TObject );
begin
  close;
end;

procedure TTileDialog.Image1MouseUp( Sender : TObject; Button : TMouseButton;
  Shift : TShiftState; X, Y : Integer );
var
  W, H1, H2, H3, S1, S2 : string;
  H, S : integer;
begin
  W := unit3.TileList[ 2 ]; //width
  H1 := unit3.TileList[ 3 ]; //height
  S1 := unit3.TileList[ 4 ]; //shiftY
  H := strtoint( H1 );
  S := strtoint( S1 );
  H2 := inttostr( H + S );
  H3 := inttostr( H - S );
  S2 := inttostr( 0 - S );

  case Y of
    0..19 :
      begin
        edit4.text := W;
        edit5.text := H1;
        edit6.text := '0';
        edit7.text := '0';
      end;
    20..49 :
      begin
        edit4.text := W;
        edit5.text := H2;
        edit6.text := S2;
        edit7.text := '1';
      end;
    50..79 :
      begin
        edit4.text := W;
        edit5.text := H2;
        edit6.text := S2;
        edit7.text := '2';
      end;
    80..109 :
      begin
        edit4.text := W;
        edit5.text := H2;
        edit6.text := S2;
        edit7.text := '3';
      end;
    110..139 :
      begin
        edit4.text := W;
        edit5.text := H2;
        edit6.text := S2;
        edit7.text := '4';
      end;
    140..149 :
      begin
        edit4.text := W;
        edit5.text := H3;
        edit6.text := '0';
        edit7.text := '5';
      end;
    150..159 :
      begin
        edit4.text := W;
        edit5.text := H3;
        edit6.text := '0';
        edit7.text := '6';
      end;
    160..169 :
      begin
        edit4.text := W;
        edit5.text := H3;
        edit6.text := '0';
        edit7.text := '7';
      end;
    170..179 :
      begin
        edit4.text := W;
        edit5.text := H3;
        edit6.text := '0';
        edit7.text := '8';
      end;
    180..199 :
      begin
        edit4.text := W;
        edit5.text := H1;
        edit6.text := '0';
        edit7.text := '9';
      end;
    200..219 :
      begin
        edit4.text := W;
        edit5.text := H1;
        edit6.text := '0';
        edit7.text := '10';
      end;
    220..239 :
      begin
        edit4.text := W;
        edit5.text := H1;
        edit6.text := S2;
        edit7.text := '11';
      end;
  else
    begin
      edit4.text := W;
      edit5.text := H1;
      edit6.text := S2;
      edit7.text := '12';
    end;
  end; //case
end;

procedure TTileDialog.ValueChanged( Sender : TObject );
var
  px, py : integer;
begin
  changed := true;
  // Preview it
  if (Edit2.Text = '') or (Edit3.Text = '') or (Edit4.Text = '') or (Edit5.Text = '') then
       exit;
  px :=  (ImagePreview.width - strtoint(Edit4.Text)) div 2;
  py :=  (ImagePreview.Height - strtoint(Edit5.Text)) div 2;
  ImagePreview.canvas.FillRect( Rect( 0, 0, ImagePreview.width, ImagePreview.height ) );
  BitBlt( ImagePreview.canvas.handle, px, py, strtoint(Edit4.Text), strtoint(Edit5.Text),
              TilesForm.ImageTiles.canvas.handle, strtoint(Edit2.Text), strtoint(Edit3.Text), SRCCopy );

end;

procedure TTileDialog.Button1Click(Sender: TObject);
var
  x, y, w, h : integer;
  f, n : integer;
begin
   x := strtoint( Edit2.Text );
   y := strtoint( Edit3.Text );
   w := strtoint( Edit4.Text );
   h := strtoint( Edit5.Text );
   with TilesForm.ImageTiles.Canvas do
   begin
     Pen.Color := clBlack;
     n :=  y;
     for f := x to x + (w div 2) do
     begin
        MoveTo(f, y);
        LineTo(x, y );
        inc(n);
     end;
     {MoveTo(x, y);
     MoveTo(x + (w div 2), y);
     LineTo(x, y + (h div 2));}
   end;
   ValueChanged( Sender );
end;

end.
